Package org.jfree.layouting.input.xhtml

## Class XhtmlDocument

- java.lang.Object
- - org.jfree.layouting.input.xhtml.XhtmlDocument

- All Implemented Interfaces:
    `java.io.Serializable`

      public class XhtmlDocument
      extends java.lang.Object
      implements java.io.Serializable

  Creation-Date: 03.01.2006, 14:08:39
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XhtmlDocument​(java.net.URL source, byte[] data, org.w3c.dom.Document document)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected byte[]` | `getData​()` |
    `org.w3c.dom.Document` | `getDocument​()` |
    `java.net.URL` | `getSource​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XhtmlDocument

          public XhtmlDocument​(java.net.URL source,
                               byte[] data,
                               org.w3c.dom.Document document)

  - ### Method Detail

    - #### getData

          protected byte[] getData​()

    - #### getSource

          public java.net.URL getSource​()

    - #### getDocument

          public org.w3c.dom.Document getDocument​()